<script lang="ts" setup>
import type { BaseLink } from '@/types/base';

// Define props
const props = defineProps<{
  title?: string;
  items?: BaseLink[];
  dataNavLevelOne?: string;
}>();
</script>

<template>
  <section class="nav-footer">
    <header>
      <SlpTypography v-if="props.title" variant="body2-bold" class="nav-footer__title slp-color-accent-500">
        {{ props.title }}
      </SlpTypography>
    </header>
    <ul class="footer-button-container">
      <li v-for="link in props.items" :key="link.text">
        <SlpButton
          variant="primary"
          :href="link.config.href"
          class="button"
          :data-ga-name="link.config.dataGaName"
          :data-ga-location="link.config.dataGaLocation"
          :data-nav-levelone="dataNavLevelOne"
          :data-nav-leveltwo="link.config.dataGaName"
        >
          <SlpTypography variant="body2-bold">
            {{ link.text }}
          </SlpTypography>
        </SlpButton>
      </li>
    </ul>
  </section>
</template>

<style lang="scss" scoped>
.nav-footer {
  display: flex;
  padding: 32px;
  padding-top: 24px;
  flex-direction: column;
  background-color: $color-surface-800;
  gap: 24px;
  align-self: stretch;
  width: 100%;
  &__title {
    color: $color-text-link-100;
  }
  @media (min-width: $breakpoint-lg) {
    padding: 24px;
  }
  @media (min-width: $breakpoint-xl) {
    padding: 32px;
  }
}
.footer-button-container {
  display: grid;
  gap: 32px;
  background-color: $color-surface-800;
  grid-template-columns: repeat(3, 1fr);
  @media (max-width: $breakpoint-lg) {
    grid-template-columns: 1fr;
  }
  .button {
    border-radius: 4px;
    background: $color-surface-900;
    border: none;
    justify-content: center;
    color: black;
    width: 100%;
    &:hover {
      border: none;

      background: $color-surface-950;
    }
  }
}
</style>
